### Hierarchy

- GameToPlayerEventHandler

### Implements

- IEventHandler

## Index

### Constructors

- constructor

### Properties

- eventName
- handler

## Constructors

### constructor

- new GameToPlayerEventHandler(handler: function): GameToPlayerEventHandler

- - Defined in Handlers.ts:32

  #### Parameters

  - ##### handler: function

    - - (message: GameToPlayerMessage): void

      - #### Parameters

        - ##### message: GameToPlayerMessage

        #### Returns void

  #### Returns GameToPlayerEventHandler

## Properties

### eventName

eventName: Game__Player

Implementation of IEventHandler.eventName

- Defined in Handlers.ts:32

### handler

handler: function

Implementation of IEventHandler.handler

- Defined in Handlers.ts:33

#### Type declaration

- - (message: GameToPlayerMessage): void

  - #### Parameters

    - ##### message: GameToPlayerMessage

    #### Returns void

Generated using TypeDoc